Type
  • Problem
Description
  • If you install the EMC Disk Arrays KM for PATROL v3.1.00 on top of other Sentry KMs (see the affected products list), these KMs stop working with a Could not find a suitable JRE error message.
Additional Keywords
  • EMC Disk Arrays KM, Jar, Java, SEN_JavaCheck.jar

Related Topics

Knowledge Base

Other Sentry KMs Stop Working After EMC KM 3.1.00 Install

KB1123 - Sep 10, 2013

Download File

Symptoms

Previously installed Sentry KMs (products listed in this article) stop working once you install the version 3.1.00 of the EMC Disk Arrays KM for PATROL. Their main icon is created in the consoles but nothing is discovered or collected.

The following error message is displayed in the PATROL Console System Output Window and in the $PATROL_HOME/log/SEN_CollectionHub_debug_psl_3181_%YYYY_MM_DD_.log file when the debug mode is enabled: “Could not find a suitable JRE! All Java-based functions will be disabled.”

Description

The SEN_JavaCheck.jar file is common to many of the Sentry Software’s Knowledge Modules:

  • Hardware Sentry KM for PATROL
  • Hitachi Disk Arrays KM for PATROL
  • IBM DS6000, DS8000 Series KM for PATROL
  • IBM SVC KM for PATROL
  • NetApp Filers KM for PATROL
  • EMC Disk Arrays KM for PATROL
  • DELL Compellent KM for PATROL

This purpose of this file is to validate the version of the JRE (Java Runtime Environment) to run the Java code of the KM.

The version 3.1.00 of the EMC Disk Arrays KM for PATROL ships with an older version of SEN_JavaCheck.jar that does not work with more recent KMs. As a result the most recent Sentry Software’s Knowledge Modules are unable to identify a suitable JRE and, therefore, will not work.

Solution

To solve this compatibility issue, please follow the procedure below:

  1. Download the SEN_JavaCheck.jar file above
  2. Stop the PATROL Agent
  3. Copy SEN_JavaCheck.jar in the $PATROL_HOME/bin directory (it will overwrite the older one already present)
  4. Restart the PATROL Agent